[general]
name = 2D Pattern Maker (along line);
comments = 2d pattern generator v0.1;
a1_min = 0;
a1_max = 360;
a1_steps = 3000;
a2_min = 0; 
a2_max = 360;
a2_steps = 0;

[param]
name = r;
title = radius01;
default = 1;
min = 0;
max = 5;

[param]
name = q;
title = radius02;
default = 0.5;
min = 0;
max = 1;

[param]
name = a;
title = offset;
default = 1;
min = 0;
max = 1;

[param]
name = scale;
default = 0.11;
min = 0;
max = 1;

[formula]
//patterns;


// T1 = (r + q) * cos(A1*pi) - a * cos(((r + q) / q)*A1*pi);
// T2 = (q + r) * sin(A1*pi) - a * sin(((r + q) / q)*A1*pi);

T1 = A1 * scale - a * cos(((r + q) / q)*A1*pi);
T2 = - a * sin(((r + q) / q)*A1*pi);



X = T1;
Y = T2;
Z = 0;
