[general]
name = Torus;
comments = Torus Do;

[param]
name = a;
default = 1;

[param]
name = b;
default = 1;

[param]
name = m;
default = 1;

[param]
name = n1;
default = 1;

[param]
name = n2;
default = 1;

[param]
name = n3;
default = 1;

[formula]

T1 = abs(cos(m * A1 / 4) / a);
T2 = abs(sin(m * A1 / 4) / b);
R1 = pow(pow(T1, n2) + pow(T2, n3), -1.0 / n1); 

T3 = abs(cos(m * A2 / 4) / a);
T4 = abs(sin(m * A2 / 4) / b);
R2 = pow(pow(T3, n2) + pow(T4, n3), -1.0 / n1); 

X = cos(A1) * abs(R1 + R2 * cos(A2));
Y = sin(A1) * abs(R1 + R2 * sin(A2));
Z = R2 * sin(A2);

[preset]
name = Torus1;
n1 = 0.17;
n2 = -0.61;
n3 = -0.66;
m = 4.0;
a = 0.1;
b = 0.24;

[preset]
name = Torus2;
n1 = 8.83;
n2 = -0.81;
n3 = -87.44;
m = 5.0;
a = 1.14;
b = 1.83;

[Argument1]
Min = 0.0;
Max = 360.0;
Bias = 2;

[Argument2]
Min = 0.0;
Max = 360.0;
Bias = 2;
